import 'package:flutter/material.dart';
import 'package:flutter_slider/views/custom_banner.dart';

/// Description: home page
/// Time       : 07/17/2023 Monday
/// Author     : liuyuqi.gov@msn.cn
class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  
  final List<String> _imgData = [
    "assets/images/1.jpg",
    "assets/images/2.jpg",
    "assets/images/3.jpg",
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("校内铺子"),
      ),
      body: CustomBanner(_imgData, onTap: (int value) {  },),
    );
  }
}
